org.python.core

## Enum FutureFeature

- java.lang.Object
- - java.lang.Enum<FutureFeature>
  - - org.python.core.FutureFeature

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FutureFeature>, Pragma

    public enum FutureFeature
    extends java.lang.Enum<FutureFeature>
    implements Pragma

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.python.core.Pragma

`Pragma.ForbiddenPragmaModule, Pragma.PragmaModule`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`absolute_import` Enables absolute imports.
`braces` Use braces for block delimiters instead of indentation.
`division` Makes integer / integer division return float.
`generators` Enables generators.
`GIL` Enable the Global Interpreter Lock in Jython.
`global_interpreter_lock` Enable the Global Interpreter Lock in Jython.
`nested_scopes` Enables nested scopes.
`with_statement` Enables the with statement.

### Field Summary

Fields
`static java.lang.String` `MODULE_NAME`
`static Pragma.PragmaModule` `PRAGMA_MODULE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addFeature(java.lang.String featureName, PragmaReceiver features)`
`void` `addTo(PragmaReceiver features)`
`void` `setFlag(CompilerFlags cflags)`
`static FutureFeature` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FutureFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### nested_scopes

    public static final FutureFeature nested_scopes

Enables nested scopes.

#### division

    public static final FutureFeature division

Makes integer / integer division return float.

#### generators

    public static final FutureFeature generators

Enables generators.

#### absolute_import

    public static final FutureFeature absolute_import

Enables absolute imports.

#### with_statement

    public static final FutureFeature with_statement

Enables the with statement.

#### braces

    public static final FutureFeature braces

Use braces for block delimiters instead of indentation.

#### GIL

    public static final FutureFeature GIL

Enable the Global Interpreter Lock in Jython.

#### global_interpreter_lock

    public static final FutureFeature global_interpreter_lock

Enable the Global Interpreter Lock in Jython.

### Field Detail

#### MODULE_NAME

    public static final java.lang.String MODULE_NAME

See Also:
  Constant Field Values

#### PRAGMA_MODULE

    public static final Pragma.PragmaModule PRAGMA_MODULE

### Method Detail

#### values

    public static FutureFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FutureFeature c : FutureFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FutureFeature valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### addTo

    public void addTo(PragmaReceiver features)

Specified by:
  `addTo` in interface `Pragma`

#### addFeature

    public static void addFeature(java.lang.String featureName,
                                  PragmaReceiver features)

#### setFlag

    public void setFlag(CompilerFlags cflags)